#ifndef LOGING_H
#define LOGING_H
#include <spdlog/spdlog.h>


namespace zsy
{
    extern std::shared_ptr<spdlog::logger> getLogger();
}

#define LOGGER_DEBUG(...) \
SPDLOG_LOGGER_DEBUG(zsy::getLogger(), __VA_ARGS__)

#define LOGGER_INFO(...) \
SPDLOG_LOGGER_INFO(zsy::getLogger(), __VA_ARGS__)

#define LOGGER_WARN(...) \
SPDLOG_LOGGER_WARN(zsy::getLogger(), __VA_ARGS__)

#define LOGGER_ERROR(...) \
SPDLOG_LOGGER_ERROR(zsy::getLogger(), __VA_ARGS__)
#endif //LOGING_H
